%define upstreamname lxdm
Name: lxde-%upstreamname
Version: 0.2.0
Release: alt5

Summary: Lightweight X11 Display Manager
License: GPL
Group: Graphical desktop/Other
Url: http://lxde.sf.net

Packager: LXDE Development Team <lxde@packages.altlinux.org>

Source: %upstreamname-%version.tar.gz
Patch1: lxdm-alt-xsession.patch
Patch2: lxdm-alt-pam.patch
Patch3: lxdm-alt-session-name.patch
Patch4: lxdm-alt-conf.patch
Patch5: lxdm-alt-datetime_defuser.patch
Patch6: lxdm-alt-lxdmconf.patch
Patch7: lxdm-alt-xsession2.patch

# Automatically added by buildreq on Mon Jan 11 2010 (-bb)
BuildRequires: imake intltool libConsoleKit-devel libXmu-devel libgtk+2-devel libpam-devel xinitrc xorg-cf-files

%add_findreq_skiplist %_sbindir/%upstreamname

%description
LXDM is the future display manager of LXDE, the Lightweight X11 Desktop
environment. It is designed as a lightweight alternative to replace GDM or
KDM in LXDE distros. It's still in very early stage of development.

%prep
%setup -n %upstreamname-%version
#%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p0
%patch6 -p0
%patch7 -p0

%build
autoreconf -fisv
%configure
touch -r po/Makefile po/stamp-it
%make_build

%install
%makeinstall_std
%find_lang %upstreamname

touch %{buildroot}%{_sysconfdir}/%{upstreamname}/xinitrc


%files -f %upstreamname.lang
%doc ChangeLog INSTALL README
%{_sysconfdir}/%{upstreamname}
%_sbindir/*
%_libexecdir/*
%_datadir/%upstreamname
%config(noreplace) %{_sysconfdir}/pam.d/%{upstreamname}

%changelog
* Wed May 26 2010 Mykola Grechukh <gns@altlinux.ru> 0.2.0-alt4
- latest upstream updates. Improved session handling (ALT-specific)

* Sun May 02 2010 Mykola Grechukh <gns@altlinux.ru> 0.2.0-alt0.M51.3
- build for branch 5.1

* Sun May 02 2010 Mykola Grechukh <gns@altlinux.ru> 0.2.0-alt3
- requires fixed

* Mon Jan 11 2010 Mykola Grechukh <gns@altlinux.ru> 0.1.0-alt1
- initial build, based on F12 spec
